package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduSubjects;
import com.koobietech.eas.mbg.model.EasEduSubjectsExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduSubjectsMapper {
    long countByExample(EasEduSubjectsExample example);

    int deleteByExample(EasEduSubjectsExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasEduSubjects record);

    int insertSelective(EasEduSubjects record);

    List<EasEduSubjects> selectByExample(EasEduSubjectsExample example);

    EasEduSubjects selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasEduSubjects record, @Param("example") EasEduSubjectsExample example);

    int updateByExample(@Param("record") EasEduSubjects record, @Param("example") EasEduSubjectsExample example);

    int updateByPrimaryKeySelective(EasEduSubjects record);

    int updateByPrimaryKey(EasEduSubjects record);
}